Update Administrator
UpdateAdministrator updates the specific administrator role.
Note that any role previously granted to the user and not present in the request will be revoked.
Required permissions depend on the resource type:
- "iam.member.write" for instance administrators
- "org.member.write" for organization administrators
- "project.member.write" for project administrators
- "project.grant.member.write" for project grant administrators
Header Parameters
Define the version of the Connect protocol
1Define the timeout, in ms
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/json
curl -X POST "https://loading/zitadel.internal_permission.v2.InternalPermissionService/UpdateAdministrator" \ -H "Connect-Protocol-Version: 1" \ -H "Content-Type: application/json" \ -d '{ "resource": { "instance": true } }'{
"changeDate": "2023-01-15T01:30:15.01Z"
}{
"code": "not_found",
"message": "string",
"details": [
{
"type": "string",
"value": "string",
"debug": {}
}
]
}Was this page helpful?
List Administrators
List Administrators: ListAdministrators returns all administrators and their roles matching the request and the caller's permissions to retrieve. Required permissions depend on the resource type:
Auth API
Explore the Auth API operation in the ZITADEL API. Learn about request parameters, response schemas, and integration details for this endpoint.